/*--------------------------------------------------------------------------+
$Id: codetemplates.xml 1 2011-01-01 00:00:01Z hoelzl $
|                                                                          |
| Copyright 2017 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.generator.executable.gamepad;

import org.fortiss.af3.component.model.InputPort;
import org.fortiss.af3.expression.model.terms.IExpressionTerm;
import org.fortiss.af3.platform.generic.generator.executable.GenericReceiverExecutable;
import org.fortiss.af3.platform.model.generic.GenericReceiver;
import org.fortiss.af3.platform.raspberry.model.gamepad.Left_StickY_Position;

/**
 * Executable for {@link Left_StickY_Position}.
 * 
 * @author eder
 * @author $Author: hoelzl $
 * @version $Rev: 18709 $
 * @ConQAT.Rating RED Hash:
 */
public class Left_StickYExecutable extends GenericReceiverExecutable {

	/** Constructor. */
	public Left_StickYExecutable(GenericReceiver modelElement) {
		super(modelElement);
	}

	/** {@inheritDoc} */
	@Override
	public IExpressionTerm getInitialization() {
		return super.getInitialization();
	}

	/** {@inheritDoc} */
	@Override
	public IExpressionTerm getNoValGuardAccessor(InputPort logicalSignal) {
		return super.getNoValGuardAccessor(logicalSignal);
	}

	/** {@inheritDoc} */
	@Override
	public IExpressionTerm getTermination() {
		return super.getTermination();
	}

	/** {@inheritDoc} */
	@Override
	public IExpressionTerm getValueReadAccessor(InputPort logicalSignal) {
		return super.getValueReadAccessor(logicalSignal);
	}
}
